Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227479 - i9xx chipeset with sata and HDD password doesn't prompt for password on resume
Summary: i9xx chipeset with sata and HDD password doesn't prompt for password on resume
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-06 11:10 UTC by Peter Robinson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Fedora7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-24 12:34:48 UTC


Attachments (Terms of Use)

Description Peter Robinson 2007-02-06 11:10:34 UTC
I have a Dell Latitude D620 which is a Centrino Duo with a i9xx chipset and a
sata disk using libata and Fedora Core 6. The machine suspends and resumes fine
when there isn't a HDD password set. Our corporate laptop usage policy requires
all laptops to have a HDD password set. 

When a HDD password is set the machine suspends fine but on resume it doesn't
properly come back. X comes up with a blank screen and if you switch to a
console it just starts spewing libata disk errors. It should initially display
the BIOS screen and prompt for the password. It did this fine on my old laptop
which was a Dell Latitude D600 running Fedora Core 5. I've never run FC5 on this
laptop, nor FC6 on the old one so not sure if its due to move from PATA/ide to
SATA/libata or a kernel bug or something else.

Comment 1 Peter Robinson 2007-09-24 12:34:48 UTC
Seems to be fixed in Fedora 7 + recent updates.


Note You need to log in before you can comment on or make changes to this bug.